package com.ym.mec.biz.dal.dto;

import io.swagger.annotations.ApiModelProperty;

import java.util.List;

import com.ym.mec.biz.dal.entity.MusicGroup;
import com.ym.mec.biz.dal.entity.MusicGroupPaymentEntities;
import com.ym.mec.biz.dal.entity.MusicGroupSubjectGoodsGroup;
import com.ym.mec.biz.dal.entity.MusicGroupSubjectPlan;

public class SubFeeSettingDto {

    @ApiModelProperty(value = "乐团明细",required = false)
    private MusicGroup musicGroup;

    @ApiModelProperty(value = "乐团付费主体列表",required = false)
    private List<MusicGroupPaymentEntities> musicGroupPaymentEntities;

    @ApiModelProperty(value = "声部设置列表",required = false)
    private List<MusicGroupSubjectPlan> musicGroupSubjectPlans;

    @ApiModelProperty(value = "乐器、教辅组合列表",required = false)
    private List<MusicGroupSubjectGoodsGroup> musicGroupSubjectGoodsGroups;

    @ApiModelProperty(value = "学员的付费方式月份列表",required = false)
    private List<Integer> months;

    public MusicGroup getMusicGroup() {
        return musicGroup;
    }

    public void setMusicGroup(MusicGroup musicGroup) {
        this.musicGroup = musicGroup;
    }

    public List<MusicGroupPaymentEntities> getMusicGroupPaymentEntities() {
        return musicGroupPaymentEntities;
    }

    public void setMusicGroupPaymentEntities(List<MusicGroupPaymentEntities> musicGroupPaymentEntities) {
        this.musicGroupPaymentEntities = musicGroupPaymentEntities;
    }

    public List<MusicGroupSubjectPlan> getMusicGroupSubjectPlans() {
        return musicGroupSubjectPlans;
    }

    public void setMusicGroupSubjectPlans(List<MusicGroupSubjectPlan> musicGroupSubjectPlans) {
        this.musicGroupSubjectPlans = musicGroupSubjectPlans;
    }

    public List<MusicGroupSubjectGoodsGroup> getMusicGroupSubjectGoodsGroups() {
        return musicGroupSubjectGoodsGroups;
    }

    public void setMusicGroupSubjectGoodsGroups(List<MusicGroupSubjectGoodsGroup> musicGroupSubjectGoodsGroups) {
        this.musicGroupSubjectGoodsGroups = musicGroupSubjectGoodsGroups;
    }

    public List<Integer> getMonths() {
        return months;
    }

    public void setMonths(List<Integer> months) {
        this.months = months;
    }
}
